# /home/coin/svn-release/Blis-0.93.10/CoinUtils/src/CoinParam.hpp File Reference

Declaration of a class for command line parameters. More...

`#include <vector>`
`#include <string>`
`#include <cstdio>`
Include dependency graph for CoinParam.hpp:

Go to the source code of this file.

## Classes
class | CoinParam
| A base class for `keyword value' command line parameters. More...
## Namespaces
namespace | CoinParamUtils

| Utility functions for processing CoinParam parameters.
## Functions
std::ostream & | operator<< (std::ostream &s, const CoinParam &param)
| A stream output function for a CoinParam object.
void | CoinParamUtils::setInputSrc (FILE *src)
| Take command input from the file specified by src.
bool | CoinParamUtils::isCommandLine ()
| Returns true if command line parameters are being processed.
bool | CoinParamUtils::isInteractive ()
| Returns true if parameters are being obtained from stdin.
std::string | CoinParamUtils::getStringField (int argc, const char *argv[], int *valid)
| Attempt to read a string from the input.
int | CoinParamUtils::getIntField (int argc, const char *argv[], int *valid)
| Attempt to read an integer from the input.
double | CoinParamUtils::getDoubleField (int argc, const char *argv[], int *valid)
| Attempt to read a real (double) from the input.
int | CoinParamUtils::matchParam (const CoinParamVec &paramVec, std::string name, int &matchNdx, int &shortCnt)
| Scan a parameter vector for parameters whose keyword (name) string matches `name` using minimal match rules.
std::string | CoinParamUtils::getCommand (int argc, const char *argv[], const std::string prompt, std::string *pfx=0)
| Get the next command keyword (name).
int | CoinParamUtils::lookupParam (std::string name, CoinParamVec &paramVec, int *matchCnt=0, int *shortCnt=0, int *queryCnt=0)
| Look up the command keyword (name) in the parameter vector. Print help if requested.
void | CoinParamUtils::printIt (const char *msg)
| Utility to print a long message as filled lines of text.
void | CoinParamUtils::shortOrHelpOne (CoinParamVec &paramVec, int matchNdx, std::string name, int numQuery)
| Utility routine to print help given a short match or explicit request for help.
void | CoinParamUtils::shortOrHelpMany (CoinParamVec &paramVec, std::string name, int numQuery)
| Utility routine to print help given multiple matches.
void | CoinParamUtils::printGenericHelp ()
| Print a generic `how to use the command interface' help message.
void | CoinParamUtils::printHelp (CoinParamVec &paramVec, int firstParam, int lastParam, std::string prefix, bool shortHelp, bool longHelp, bool hidden)
| Utility routine to print help messages for one or more parameters.

## Detailed Description

Declaration of a class for command line parameters.

Definition in file CoinParam.hpp.

## Function Documentation

std::ostream & operator<< | ( | std::ostream & | s,
|  | const CoinParam & | param |
| ) |  |  |

A stream output function for a CoinParam object.